--
Hooks:Add("NetworkManagerOnPeerAdded", "motd_on_peer_joined", function(peer, peer_id)
	if Network:is_server() then
		if peer and (MOTD:IsPeerQueued(peer) ~= false) then
		--don't send the message to someone who has previously been sent it already
			MOTD:SetQueuedPeer(peer,true)
		end
	end
end)

Hooks:PostHook(HostNetworkSession, "on_peer_entered_lobby","motd_send_in_lobby", function(self, peer,peer_id)
--peer_id doesn't actually seem to be passed, but peer is 
	peer_id = peer_id or peer:id()
	if MOTD:IsPeerQueued(peer) then
		local delayed_calls = DelayedCallsFix or DelayedCalls
		delayed_calls:Add("motd_send_on_player_entered_lobby_" .. tostring(peer:user_id()),1,callback(MOTD,MOTD,"SendMOTDByID64",peer:user_id())) 
		
	end
end)

Hooks:PostHook(HostNetworkSession,"on_peer_sync_complete","motd_send_in_heist",function(self, peer, peer_id, ...)
	peer_id = peer_id or peer:id()
	if MOTD:IsPeerQueued(peer) then
		MOTD:SendMOTDToPeer(peer)
--		MOTD:SendMOTDByID(peer_id)
	end
end)